Comments

This is my code for D which simulates the game optimally .My code

This is my code for D which simulates the game optimally .My Code

for problem 3 :- link

I think that we can also do topological sorting and then we have already result for source vertex and calculate answers for vertex in order of topological sorting by the help of reverse edges as you mentioned.

On MikeMirzayanov → GCJ Round 1B 2019, 7 years ago
0

I solve C by maintaining a segment tree that store indices of the leftmost maximum element instead of the maximum element's value so that I can avoid ties (i.e I will take into consideration the leftmost value in case of ties). Here is link to code. But I am not able to figure out how I can solve using maintaining segment tree of maximum values in case of ties. Any help?

No there is no problem with other sites but just codeforces.

+28

Really good questions and good contest by Jeel_Vaishnav

is there a proof for problem b ?

On Errichto → Stream, 8 years ago
+1

Please include dp problem. And why not youtube ?

I think in editorial for 996 B the condition k+tn>=ak is not correct because on first step nothing is decreased so it should be k+tn>ak.

can anyone explain the 3rd case of 988F .

I solved E by dfs. when i used dfs by using stack i am getting tle on tc 6 whereas on using recursion my solution got accepted . Can someone please tell me the reason.